Loading...
Searching...
No Matches
oap_client.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_oap_client_config
struct | osmo_oap_client_state

## Functions

int | osmo_oap_client_init (struct osmo_oap_client_config *config, struct osmo_oap_client_state *state)
int | osmo_oap_client_register (struct osmo_oap_client_state *state, struct msgb **msg_tx)
int | osmo_oap_client_handle (struct osmo_oap_client_state *state, const struct msgb *msg_rx, struct msgb **msg_tx)
struct msgb * | osmo_oap_client_encoded (const struct osmo_oap_message *oap_client_msg)

## Function Documentation

## osmo_oap_client_encoded()

struct msgb * osmo_oap_client_encoded | ( | const struct osmo_oap_message * | oap_client_msg | ) |

References len, msg, OSMO_ASSERT, and osmo_oap_encode().

Referenced by oap_msg_challenge_response(), and oap_msg_register().

## osmo_oap_client_handle()

int osmo_oap_client_handle | ( | struct osmo_oap_client_state * | state,
|  | const struct msgb * | msg_rx,
|  | struct msgb ** | msg_tx
| ) |  |

References data, DLOAP, get_value_string(), gsm48_gmm_cause_names, handle_challenge(), len, LOGL_ERROR, LOGP, msgb_l2, OAP_MSGT_CHALLENGE_REQUEST, OAP_MSGT_CHALLENGE_RESULT, OAP_MSGT_REGISTER_ERROR, OAP_MSGT_REGISTER_REQUEST, OAP_MSGT_REGISTER_RESULT, OSMO_ASSERT, osmo_oap_client_register(), osmo_oap_decode(), osmo_oap_client_state::registration_failures, and osmo_oap_client_state::state.

## osmo_oap_client_init()

int osmo_oap_client_init | ( | struct osmo_oap_client_config * | config,
|  | struct osmo_oap_client_state * | state
| ) |  |

References osmo_oap_client_state::client_id, config, DLOAP, len, LOGL_NOTICE, LOGP, OSMO_ASSERT, osmo_oap_client_state::secret_k, osmo_oap_client_state::secret_opc, and osmo_oap_client_state::state.

## osmo_oap_client_register()

int osmo_oap_client_register | ( | struct osmo_oap_client_state * | state,
|  | struct msgb ** | msg_tx
| ) |  |

References osmo_oap_client_state::client_id, len, oap_msg_register(), and osmo_oap_client_state::state.

Referenced by osmo_oap_client_handle().